Skip to navigation

Add providers to contract

Appends a list of rendering provider IDs to the contract. Provider IDs already on the contract are silently ignored.

Authentication

AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

Path parameters

contract_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
rendering_provider_idslist of stringsRequired
Provider IDs to add to the contract. Max 100,000 per request.

Response

provider_countinteger
The total number of rendering providers currently associated with this contract after the operation
added_countinteger
The number of rendering providers that were newly added to the contract
ignored_countinteger
The number of rendering provider IDs that were already associated with the contract and thus ignored

Errors

404
Not Found Error
422
Unprocessable Entity Error